/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//LomInfo オブジェクトのBeanクラス
//
//変更履歴
//2005.02.03  新規作成  森　智志
//
//機能
//
//条LomInfo オブジェクトのBeanクラスです。
//
/////////////////////////////////////////////////////////////////
package jp.co.ntt.lms.lo.lom.learnableinfo;


/**
 * LomInfo オブジェクトのBeanクラスです。
 * @author s-mori
 * @version 1.0
 */
public class LomInfo extends ScormXMLInfo{

	/** リソース識別子 */
	private String resourceIdentifier = null;
	
	/** ロケーション */
	private String location = null;
	
	/**
	 * コンストラクタ。
	 *
	 */
	public LomInfo(){
		this.identifier = null;
	}
	
	/**
	 * コンストラクタ。Lomノードの識別子を指定します。
	 * @param identifier 識別子
	 */
	public LomInfo(String identifier){
		if(identifier == null || identifier.equals("")){
			// TODO★例外処理
		}
		this.identifier = identifier;
	}
	
	
	/**
	 * Lomノードが存在するロケーションを戻します。
	 * @return ロケーション
	 */
	public String getLocation() {
		return location;
	}
	/**
	 * Lomノードのリソース識別子を戻します。
	 * @return Lomノードのリソース識別子
	 */
	public String getResourceIdentifier() {
		return resourceIdentifier;
	}
	/**
	 * Lomノードが存在するロケーションをセットします。
	 * @param location ロケーション
	 */
	public void setLocation(String location) {
		this.location = location;
	}
	/**
	 * Lomノードのリソース識別子をセットします。
	 * @param resourceIdentifier Lomノードのリソース識別子
	 */
	public void setResourceIdentifier(String resourceIdentifier) {
		this.resourceIdentifier = resourceIdentifier;
	}
	
	/**
	 * 指定したリソースがマニフェストかどうかを返します。
	 * このクラスでは、常にfalseを返します。
	 */
	public boolean isManifest(){
		return false;
	}
}
